package com.hwrj.cloud.portal.service;

import com.hwrj.cloud.portal.model.UmsMember;

/**
 * 会员信息缓存业务类
 * Created by macro on 2020/3/14.
 */
public interface UmsMemberCacheService {
    /**
     * 删除会员用户缓存
     */
    void delMember(Long memberId);

    /**
     * 获取会员用户缓存
     */
    UmsMember getMember(String username);

    /**
     * 设置会员用户缓存
     */
    void setMember(UmsMember member);

    /**
     * 设置验证码
     */
    void setAuthCode(String telephone, String authCode);

    /**
     * 设置验证码
     */
    void setLoginCode(String telephone, String authCode);

    /**
     * 获取验证码
     */
    String getAuthCode(String telephone);

    /**
     * 获取验证码
     */
    String getLoginCode(String telephone);

    /**
     * 获取验证码
     */
    void setToken(String token,String userName);

    /**
     * 获取验证码
     */
    String getToken(String userName);

    /**
     * 获取验证码
     */
    Boolean delToken(String userName);
}
